Search processing.org:

Reference for Processing (BETA) version 0135+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Name

### strokeJoin()

Examples

    noFill();
    smooth();
    strokeWeight(10.0);
    strokeJoin(MITER);
    beginShape();
    vertex(35, 20);
    vertex(65, 50);
    vertex(35, 80);
    endShape();

    noFill();
    smooth();
    strokeWeight(10.0);
    strokeJoin(BEVEL);
    beginShape();
    vertex(35, 20);
    vertex(65, 50);
    vertex(35, 80);
    endShape();

    noFill();
    smooth();
    strokeWeight(10.0);
    strokeJoin(ROUND);
    beginShape();
    vertex(35, 20);
    vertex(65, 50);
    vertex(35, 80);
    endShape();

Description | Sets the style of the joints which connect line segments. These joints are either mitered, beveled, or rounded and specified with the corresponding parameters MITER, BEVEL, and ROUND. The default joint is MITER. This function does not work with the P2D, P3D, OR OPENGL renderers (please see the size() reference for more information).

Syntax

    strokeJoin(MODE)

Parameters

MODE | Either MITER, BEVEL, or ROUND

Usage | Web & Application
Related | stroke() strokeWeight() strokeCap()

Updated on February 09, 2008 04:38:52pm PST